// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  event.remove({output: 'medievalweapons:wooden_healing_staff'})
  event.remove({output: 'medievalweapons:stone_healing_staff'})
  event.remove({output: 'medievalweapons:iron_healing_staff'})
  event.remove({output: 'medievalweapons:golden_healing_staff'})
  event.remove({output: 'medievalweapons:diamond_healing_staff'})
  event.remove({output: 'medievalweapons:cincinnasite_healing_staff'})
  event.remove({output: 'medievalweapons:cincinnasite_diamond_healing_staff'})
  event.remove({output: 'medievalweapons:netherite_healing_staff'})
  event.remove({output: 'medievalweapons:dragon_healing_staff'})
  event.remove({output: 'medievalweapons:nether_ruby_healing_staff'})
  event.remove({output: 'medievalweapons:terminite_healing_staff'})
  event.remove({output: 'medievalweapons:aeternium_healing_staff'})
  event.remove({output: 'medievalweapons:thallasium_healing_staff'})
  event.remove({input: 'resourcefultools:crack_hammer'})
  event.remove({input: 'resourcefultools:crack_hammer_copper'})
  event.remove({input: 'resourcefultools:crack_hammer_diamond'})
})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	event.get('mcda:archers_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:cave_crawler_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:ember_robe_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:fox_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:frost_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:frost_bite_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:rugged_climbing_gear_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:hungry_horror_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:golden_piglin_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:living_vines_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:sprout_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:spelunker_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:highland_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:gilded_glory_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:heros_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:hungry_horror_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:thief_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:teleportation_robe_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:unstable_robe_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:titans_shroud_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:black_wolf_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:sturdy_shulker_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:phantom_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:spider_armor_chestplate').add('minecraft:netherite_chestplate')
	event.get('mcda:shadow_walker_armor_chestplate').add('minecraft:netherite_chestplate')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
})